import fakeCart from "./cart_unpacked.json" assert { type: "json" };
import { Sheet } from "./sheet.ts";

let cart = fakeCart as Array<Sheet>;

export const saveCart = async (fname: string) => {
	await Deno.writeTextFile("./carts/"+fname+".fx", JSON.stringify(getCart()));
}

export const loadCart = async (fname: string) => {
	cart = JSON.parse(await Deno.readTextFile("./carts/"+fname+".fx"));
}

export const getCart = () => {
	return cart;
}